ALTER TABLE acl_role_sets   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE acl_role_sets ADD CONSTRAINT UNIQUE idx_acl_role_sets_skey (sync_key);
ALTER TABLE leads   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE leads ADD CONSTRAINT UNIQUE idx_leads_skey (sync_key);
ALTER TABLE cases   add COLUMN request_close bool  DEFAULT 0 NULL ,  add COLUMN request_close_date datetime  NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE cases ADD CONSTRAINT UNIQUE idx_cases_skey (sync_key);
ALTER TABLE bugs   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE bugs ADD CONSTRAINT UNIQUE idx_bugs_skey (sync_key);
ALTER TABLE campaign_log ADD INDEX idx_camplog_deleted (deleted);
ALTER TABLE campaigns   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE campaigns ADD CONSTRAINT UNIQUE idx_campaigns_skey (sync_key);
ALTER TABLE prospects   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE prospects ADD CONSTRAINT UNIQUE idx_prospects_skey (sync_key);
ALTER TABLE schedulers   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE schedulers ADD CONSTRAINT UNIQUE idx_schedulers_skey (sync_key);
ALTER TABLE contacts   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE contacts ADD CONSTRAINT UNIQUE idx_contacts_skey (sync_key);
ALTER TABLE accounts   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE accounts ADD CONSTRAINT UNIQUE idx_accounts_skey (sync_key);
ALTER TABLE opportunities   modify COLUMN name varchar(255)  NULL ,  add COLUMN service_start_date date  NULL ,  add COLUMN service_open_revenue_line_items int  NULL ,  add COLUMN service_duration_value int(5)  NULL ,  add COLUMN service_duration_unit varchar(50)  NULL ,  add COLUMN service_open_flex_duration_rlis int  DEFAULT 0 NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE opportunities ADD CONSTRAINT UNIQUE idx_opportunities_skey (sync_key);
ALTER TABLE users_signatures   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE users_signatures ADD CONSTRAINT UNIQUE idx_users_signatures_skey (sync_key);
ALTER TABLE notes   add COLUMN note_parent_id char(36)  NULL ,  add COLUMN attachment_flag bool  DEFAULT 0 NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE notes ADD INDEX idx_note_parent_id (note_parent_id);
ALTER TABLE notes ADD CONSTRAINT UNIQUE idx_notes_skey (sync_key);
ALTER TABLE calls   add COLUMN transcript longtext  NULL ,  add COLUMN aws_contact_id char(36)  NULL ,  add COLUMN call_recording_url varchar(255)  NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE calls ADD INDEX idx_aws_calls_contact_id (aws_contact_id,deleted);
ALTER TABLE calls ADD CONSTRAINT UNIQUE idx_calls_skey (sync_key);
ALTER TABLE emails   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE emails ADD CONSTRAINT UNIQUE idx_emails_skey (sync_key);
ALTER TABLE meetings   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE meetings ADD CONSTRAINT UNIQUE idx_meetings_skey (sync_key);
ALTER TABLE tasks   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE tasks ADD CONSTRAINT UNIQUE idx_tasks_skey (sync_key);
ALTER TABLE users   add COLUMN send_email_on_mention bool  DEFAULT 0 NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE users ADD CONSTRAINT UNIQUE idx_users_skey (sync_key);
ALTER TABLE currencies ADD CONSTRAINT UNIQUE idx_currencies_skey (sync_key);
ALTER TABLE upgrade_history   add COLUMN date_modified datetime  NULL ,  add COLUMN published_date varchar(50)  NULL ,  add COLUMN uninstallable bool  DEFAULT 1 NULL ,  add COLUMN deleted bool  DEFAULT 0 NULL
ALTER TABLE documents   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE documents ADD CONSTRAINT UNIQUE idx_documents_skey (sync_key);
ALTER TABLE fields_meta_data   modify COLUMN id char(36)  NOT NULL ,  add COLUMN autoinc_next int  DEFAULT NULL NULL
ALTER TABLE fields_meta_data ADD CONSTRAINT UNIQUE idx_fields_meta_data_custom_module_name (custom_module,name);
ALTER TABLE saved_reports   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE saved_reports ADD CONSTRAINT UNIQUE idx_saved_reports_skey (sync_key);
ALTER TABLE contracts   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE contracts ADD CONSTRAINT UNIQUE idx_contracts_skey (sync_key);
ALTER TABLE teams   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE teams ADD CONSTRAINT UNIQUE idx_teams_skey (sync_key);
ALTER TABLE product_templates   add COLUMN lock_duration bool  DEFAULT 0 NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE product_templates ADD CONSTRAINT UNIQUE idx_product_templates_skey (sync_key);
ALTER TABLE product_types   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE product_types ADD CONSTRAINT UNIQUE idx_product_types_skey (sync_key);
ALTER TABLE product_categories   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE product_categories ADD CONSTRAINT UNIQUE idx_product_categories_skey (sync_key);
ALTER TABLE manufacturers   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE manufacturers ADD CONSTRAINT UNIQUE idx_manufacturers_skey (sync_key);
ALTER TABLE quotes   modify COLUMN name varchar(255)  NULL ,  add COLUMN renewal bool  DEFAULT 0 NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE quotes ADD CONSTRAINT UNIQUE idx_quotes_skey (sync_key);
ALTER TABLE products   modify COLUMN name varchar(255)  NULL ,  add COLUMN lock_duration bool  DEFAULT 0 NULL ,  add COLUMN discount_amount_signed decimal(26,6)  DEFAULT 0 NULL ,  add COLUMN parent_rli_id char(36)  NULL ,  add COLUMN add_on_to_id char(36)  NULL ,  add COLUMN sync_key varchar(100)  NULL ,  add COLUMN catalog_service_duration_value int(5)  NULL ,  add COLUMN catalog_service_duration_unit varchar(50)  NULL ,  add COLUMN service_duration_multiplier decimal  NULL ,  add COLUMN renewal bool  DEFAULT 0 NULL
ALTER TABLE products ADD CONSTRAINT UNIQUE idx_products_skey (sync_key);
ALTER TABLE product_bundles   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE product_bundles ADD CONSTRAINT UNIQUE idx_product_bundles_skey (sync_key);
ALTER TABLE revenue_line_items   modify COLUMN name varchar(255)  NULL ,  add COLUMN lock_duration bool  DEFAULT 0 NULL ,  add COLUMN subtotal decimal(26,6)  NULL ,  add COLUMN discount_amount_signed decimal(26,6)  DEFAULT 0 NULL ,  add COLUMN generate_purchase varchar(25)  NULL ,  add COLUMN purchasedlineitem_id char(36)  NULL ,  add COLUMN add_on_to_id char(36)  NULL ,  add COLUMN renewal_rli_id char(36)  NULL ,  add COLUMN sync_key varchar(100)  NULL ,  add COLUMN catalog_service_duration_value int(5)  NULL ,  add COLUMN catalog_service_duration_unit varchar(50)  NULL ,  add COLUMN service_duration_multiplier decimal  NULL ,  add COLUMN renewal bool  DEFAULT 0 NULL
ALTER TABLE revenue_line_items ADD INDEX idx_renewal_rli_id_del (deleted,renewal_rli_id,id);
ALTER TABLE revenue_line_items ADD CONSTRAINT UNIQUE idx_revenue_line_items_skey (sync_key);
ALTER TABLE shippers   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE shippers ADD CONSTRAINT UNIQUE idx_shippers_skey (sync_key);
ALTER TABLE taxrates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE taxrates ADD CONSTRAINT UNIQUE idx_taxrates_skey (sync_key);
ALTER TABLE forecast_worksheets   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE forecast_worksheets ADD CONSTRAINT UNIQUE idx_forecast_worksheets_skey (sync_key);
ALTER TABLE forecast_manager_worksheets   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE forecast_manager_worksheets ADD CONSTRAINT UNIQUE idx_forecast_manager_worksheets_skey (sync_key);
ALTER TABLE quotas   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE quotas ADD CONSTRAINT UNIQUE idx_quotas_skey (sync_key);
ALTER TABLE contract_types   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE contract_types ADD CONSTRAINT UNIQUE idx_contract_types_skey (sync_key);
ALTER TABLE pmse_project   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_project ADD CONSTRAINT UNIQUE idx_pmse_project_skey (sync_key);
ALTER TABLE pmse_inbox   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_inbox ADD INDEX idx_proid_status_del (pro_id,cas_status,deleted);
ALTER TABLE pmse_inbox ADD CONSTRAINT UNIQUE idx_pmse_inbox_skey (sync_key);
ALTER TABLE pmse_business_rules   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_business_rules ADD CONSTRAINT UNIQUE idx_pmse_business_rules_skey (sync_key);
ALTER TABLE pmse_emails_templates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_emails_templates ADD CONSTRAINT UNIQUE idx_pmse_emails_templates_skey (sync_key);
ALTER TABLE pmse_bpmn_activity   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_activity ADD CONSTRAINT UNIQUE idx_pmse_bpmn_activity_skey (sync_key);
ALTER TABLE pmse_bpmn_artifact   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_artifact ADD CONSTRAINT UNIQUE idx_pmse_bpmn_artifact_skey (sync_key);
ALTER TABLE pmse_bpmn_bound   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_bound ADD CONSTRAINT UNIQUE idx_pmse_bpmn_bound_skey (sync_key);
ALTER TABLE pmse_bpmn_data   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_data ADD CONSTRAINT UNIQUE idx_pmse_bpmn_data_skey (sync_key);
ALTER TABLE pmse_bpmn_diagram   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_diagram ADD CONSTRAINT UNIQUE idx_pmse_bpmn_diagram_skey (sync_key);
ALTER TABLE pmse_bpmn_documentation   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_documentation ADD CONSTRAINT UNIQUE idx_pmse_bpmn_documentation_skey (sync_key);
ALTER TABLE pmse_bpmn_event   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_event ADD CONSTRAINT UNIQUE idx_pmse_bpmn_event_skey (sync_key);
ALTER TABLE pmse_bpmn_extension   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_extension ADD CONSTRAINT UNIQUE idx_pmse_bpmn_extension_skey (sync_key);
ALTER TABLE pmse_bpmn_flow   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_flow ADD CONSTRAINT UNIQUE idx_pmse_bpmn_flow_skey (sync_key);
ALTER TABLE pmse_bpmn_gateway   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_gateway ADD CONSTRAINT UNIQUE idx_pmse_bpmn_gateway_skey (sync_key);
ALTER TABLE pmse_bpmn_lane   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_lane ADD CONSTRAINT UNIQUE idx_pmse_bpmn_lane_skey (sync_key);
ALTER TABLE pmse_bpmn_laneset   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_laneset ADD CONSTRAINT UNIQUE idx_pmse_bpmn_laneset_skey (sync_key);
ALTER TABLE pmse_bpmn_participant   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_participant ADD CONSTRAINT UNIQUE idx_pmse_bpmn_participant_skey (sync_key);
ALTER TABLE pmse_bpmn_process   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpmn_process ADD CONSTRAINT UNIQUE idx_pmse_bpmn_process_skey (sync_key);
ALTER TABLE pmse_bpm_flow ADD INDEX idx_pmse_bpm_flow_cas_flow_status_cas_obj_id_del (cas_flow_status,cas_sugar_object_id,deleted);
ALTER TABLE pmse_bpm_flow ADD CONSTRAINT UNIQUE idx_pmse_bpm_flow_skey (sync_key);
ALTER TABLE pmse_bpm_thread   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_thread ADD CONSTRAINT UNIQUE idx_pmse_bpm_thread_skey (sync_key);
ALTER TABLE pmse_bpm_notes   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_notes ADD CONSTRAINT UNIQUE idx_pmse_bpm_notes_skey (sync_key);
ALTER TABLE pmse_bpm_related_dependency   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_related_dependency ADD CONSTRAINT UNIQUE idx_pmse_bpm_related_dependency_skey (sync_key);
ALTER TABLE pmse_bpm_activity_user   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_activity_user ADD CONSTRAINT UNIQUE idx_pmse_bpm_activity_user_skey (sync_key);
ALTER TABLE pmse_bpm_event_definition   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_event_definition ADD CONSTRAINT UNIQUE idx_pmse_bpm_event_definition_skey (sync_key);
ALTER TABLE pmse_bpm_gateway_definition   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_gateway_definition ADD CONSTRAINT UNIQUE idx_pmse_bpm_gateway_definition_skey (sync_key);
ALTER TABLE pmse_bpm_activity_definition   add COLUMN act_email_process_user bool  DEFAULT 0 NULL ,  add COLUMN act_email_template_id text  NULL ,  add COLUMN act_set_by_avl bool  DEFAULT 0 NULL ,  add COLUMN act_avl_count int(4)  DEFAULT 0 NULL ,  add COLUMN act_avl_type varchar(40)  NULL ,  add COLUMN act_avl_before_type varchar(40)  NULL ,  add COLUMN act_reserve_user varchar(36)  DEFAULT '' NULL ,  add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_activity_definition ADD CONSTRAINT UNIQUE idx_pmse_bpm_activity_definition_skey (sync_key);
ALTER TABLE pmse_bpm_activity_step   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_activity_step ADD CONSTRAINT UNIQUE idx_pmse_bpm_activity_step_skey (sync_key);
ALTER TABLE pmse_bpm_form_action   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_form_action ADD CONSTRAINT UNIQUE idx_pmse_bpm_form_action_skey (sync_key);
ALTER TABLE pmse_bpm_dynamic_forms   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_dynamic_forms ADD CONSTRAINT UNIQUE idx_pmse_bpm_dynamic_forms_skey (sync_key);
ALTER TABLE pmse_bpm_process_definition   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_process_definition ADD CONSTRAINT UNIQUE idx_pmse_bpm_process_definition_skey (sync_key);
ALTER TABLE pmse_bpm_config   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_config ADD CONSTRAINT UNIQUE idx_pmse_bpm_config_skey (sync_key);
ALTER TABLE pmse_bpm_group   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_group ADD CONSTRAINT UNIQUE idx_pmse_bpm_group_skey (sync_key);
ALTER TABLE pmse_bpm_group_user   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_bpm_group_user ADD CONSTRAINT UNIQUE idx_pmse_bpm_group_user_skey (sync_key);
ALTER TABLE pmse_email_message   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pmse_email_message ADD CONSTRAINT UNIQUE idx_pmse_email_message_skey (sync_key);
ALTER TABLE business_centers   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE business_centers ADD CONSTRAINT UNIQUE idx_business_centers_skey (sync_key);
ALTER TABLE changetimers   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE changetimers ADD CONSTRAINT UNIQUE idx_changetimers_skey (sync_key);
ALTER TABLE styleguide   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE styleguide ADD CONSTRAINT UNIQUE idx_styleguide_skey (sync_key);
ALTER TABLE data_privacy   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE data_privacy ADD CONSTRAINT UNIQUE idx_data_privacy_skey (sync_key);
ALTER TABLE report_schedules   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE report_schedules ADD CONSTRAINT UNIQUE idx_report_schedules_skey (sync_key);
ALTER TABLE notifications   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE notifications ADD CONSTRAINT UNIQUE idx_notifications_skey (sync_key);
ALTER TABLE eapm   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE eapm ADD CONSTRAINT UNIQUE idx_eapm_skey (sync_key);
ALTER TABLE oauth_consumer   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE oauth_consumer ADD CONSTRAINT UNIQUE idx_oauth_consumer_skey (sync_key);
ALTER TABLE sugarfavorites   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarfavorites ADD CONSTRAINT UNIQUE idx_sugarfavorites_skey (sync_key);
ALTER TABLE weblogichooks   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE weblogichooks ADD CONSTRAINT UNIQUE idx_weblogichooks_skey (sync_key);
ALTER TABLE job_queue ADD INDEX idx_resolution_executetime (resolution,execute_time);
ALTER TABLE job_queue ADD INDEX idx_target_jobgroup (target,job_group);
ALTER TABLE activities ADD CONSTRAINT UNIQUE idx_activities_skey (sync_key);
ALTER TABLE comments   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE comments ADD CONSTRAINT UNIQUE idx_comments_skey (sync_key);
ALTER TABLE subscriptions   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE subscriptions ADD CONSTRAINT UNIQUE idx_subscriptions_skey (sync_key);
ALTER TABLE filters   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE filters ADD CONSTRAINT UNIQUE idx_filters_skey (sync_key);
ALTER TABLE dashboards   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dashboards ADD CONSTRAINT UNIQUE idx_dashboards_skey (sync_key);
ALTER TABLE tags   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE tags ADD CONSTRAINT UNIQUE idx_tags_skey (sync_key);
ALTER TABLE categories   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE categories ADD CONSTRAINT UNIQUE idx_categories_skey (sync_key);
ALTER TABLE pdfmanager   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE pdfmanager ADD CONSTRAINT UNIQUE idx_pdfmanager_skey (sync_key);
ALTER TABLE kbdocuments   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE kbdocuments ADD CONSTRAINT UNIQUE idx_kbdocuments_skey (sync_key);
ALTER TABLE kbcontents   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE kbcontents ADD CONSTRAINT UNIQUE idx_kbcontents_skey (sync_key);
ALTER TABLE kbarticles   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE kbarticles ADD CONSTRAINT UNIQUE idx_kbarticles_skey (sync_key);
ALTER TABLE kbcontent_templates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE kbcontent_templates ADD CONSTRAINT UNIQUE idx_kbcontent_templates_skey (sync_key);
ALTER TABLE embedded_files   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE embedded_files ADD CONSTRAINT UNIQUE idx_embedded_files_skey (sync_key);
ALTER TABLE visual_pipeline   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE visual_pipeline ADD CONSTRAINT UNIQUE idx_visual_pipeline_skey (sync_key);
ALTER TABLE console_configuration   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE console_configuration ADD CONSTRAINT UNIQUE idx_console_configuration_skey (sync_key);
ALTER TABLE commentlog   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE commentlog ADD CONSTRAINT UNIQUE idx_commentlog_skey (sync_key);
ALTER TABLE lt_funds   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE lt_funds ADD CONSTRAINT UNIQUE idx_lt_funds_skey (sync_key);
ALTER TABLE se_documentinteractions   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_documentinteractions ADD CONSTRAINT UNIQUE idx_se_documentinteractions_skey (sync_key);
ALTER TABLE dri_workflows   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dri_workflows ADD CONSTRAINT UNIQUE idx_dri_workflows_skey (sync_key);
ALTER TABLE dri_subworkflows   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dri_subworkflows ADD CONSTRAINT UNIQUE idx_dri_subworkflows_skey (sync_key);
ALTER TABLE dri_workflow_templates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dri_workflow_templates ADD CONSTRAINT UNIQUE idx_dri_workflow_templates_skey (sync_key);
ALTER TABLE dri_subworkflow_templates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dri_subworkflow_templates ADD CONSTRAINT UNIQUE idx_dri_subworkflow_templates_skey (sync_key);
ALTER TABLE dri_workflow_task_templates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE dri_workflow_task_templates ADD CONSTRAINT UNIQUE idx_dri_workflow_task_templates_skey (sync_key);
ALTER TABLE cj_forms   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE cj_forms ADD CONSTRAINT UNIQUE idx_cj_forms_skey (sync_key);
ALTER TABLE cj_web_hooks   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE cj_web_hooks ADD CONSTRAINT UNIQUE idx_cj_web_hooks_skey (sync_key);
ALTER TABLE se_instructions   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_instructions ADD CONSTRAINT UNIQUE idx_se_instructions_skey (sync_key);
ALTER TABLE se_flcompetencyresult   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_flcompetencyresult ADD CONSTRAINT UNIQUE idx_se_flcompetencyresult_skey (sync_key);
ALTER TABLE se_fl_competency   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_fl_competency ADD CONSTRAINT UNIQUE idx_se_fl_competency_skey (sync_key);
ALTER TABLE se_requiredcompetencies   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_requiredcompetencies ADD CONSTRAINT UNIQUE idx_se_requiredcompetencies_skey (sync_key);
ALTER TABLE se_advicetopics   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_advicetopics ADD CONSTRAINT UNIQUE idx_se_advicetopics_skey (sync_key);
ALTER TABLE se_memberupdates   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_memberupdates ADD CONSTRAINT UNIQUE idx_se_memberupdates_skey (sync_key);
ALTER TABLE se_segment   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_segment ADD CONSTRAINT UNIQUE idx_se_segment_skey (sync_key);
ALTER TABLE se_households   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_households ADD CONSTRAINT UNIQUE idx_se_households_skey (sync_key);
ALTER TABLE se_relationships   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_relationships ADD CONSTRAINT UNIQUE idx_se_relationships_skey (sync_key);
ALTER TABLE sugarchimp   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp ADD CONSTRAINT UNIQUE idx_sugarchimp_skey (sync_key);
ALTER TABLE sugarchimp_mc   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_skey (sync_key);
ALTER TABLE sugarchimp_mailchimp_backup   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mailchimp_backup ADD CONSTRAINT UNIQUE idx_sugarchimp_mailchimp_backup_skey (sync_key);
ALTER TABLE sugarchimp_sugar_backup   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_sugar_backup ADD CONSTRAINT UNIQUE idx_sugarchimp_sugar_backup_skey (sync_key);
ALTER TABLE sugarchimp_backup_queue   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_backup_queue ADD CONSTRAINT UNIQUE idx_sugarchimp_backup_queue_skey (sync_key);
ALTER TABLE sugarchimp_mc_people   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc_people ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_people_skey (sync_key);
ALTER TABLE sugarchimp_lock   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_lock ADD CONSTRAINT UNIQUE idx_sugarchimp_lock_skey (sync_key);
ALTER TABLE sugarchimp_optout_tracker   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_optout_tracker ADD CONSTRAINT UNIQUE idx_sugarchimp_optout_tracker_skey (sync_key);
ALTER TABLE sugarchimp_mc_list   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc_list ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_list_skey (sync_key);
ALTER TABLE sugarchimp_mc_cleaned_email   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc_cleaned_email ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_cleaned_email_skey (sync_key);
ALTER TABLE sugarchimp_mc_campaign   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc_campaign ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_campaign_skey (sync_key);
ALTER TABLE smartlist   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE smartlist ADD CONSTRAINT UNIQUE idx_smartlist_skey (sync_key);
ALTER TABLE smartlist_queue   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE smartlist_queue ADD CONSTRAINT UNIQUE idx_smartlist_queue_skey (sync_key);
ALTER TABLE sugarchimp_batches   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_batches ADD CONSTRAINT UNIQUE idx_sugarchimp_batches_skey (sync_key);
ALTER TABLE sugarchimp_mc_activity   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimp_mc_activity ADD CONSTRAINT UNIQUE idx_sugarchimp_mc_activity_skey (sync_key);
ALTER TABLE sugarchimpactivity   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE sugarchimpactivity ADD CONSTRAINT UNIQUE idx_sugarchimpactivity_skey (sync_key);
ALTER TABLE se_extendedcontactfields   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_extendedcontactfields ADD CONSTRAINT UNIQUE idx_se_extendedcontactfields_skey (sync_key);
ALTER TABLE se_questionnaire   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_questionnaire ADD CONSTRAINT UNIQUE idx_se_questionnaire_skey (sync_key);
ALTER TABLE se_competencycontribution   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_competencycontribution ADD CONSTRAINT UNIQUE idx_se_competencycontribution_skey (sync_key);
ALTER TABLE se_advice   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_advice ADD CONSTRAINT UNIQUE idx_se_advice_skey (sync_key);
ALTER TABLE se_memberadvicetopics   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_memberadvicetopics ADD CONSTRAINT UNIQUE idx_se_memberadvicetopics_skey (sync_key);
ALTER TABLE se_investmentoptions   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_investmentoptions ADD CONSTRAINT UNIQUE idx_se_investmentoptions_skey (sync_key);
ALTER TABLE se_investments   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_investments ADD CONSTRAINT UNIQUE idx_se_investments_skey (sync_key);
ALTER TABLE se_members   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_members ADD CONSTRAINT UNIQUE idx_se_members_skey (sync_key);
ALTER TABLE se_transactions   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_transactions ADD CONSTRAINT UNIQUE idx_se_transactions_skey (sync_key);
ALTER TABLE se_extendedcontactvalues   add COLUMN sync_key varchar(100)  NULL
ALTER TABLE se_extendedcontactvalues ADD CONSTRAINT UNIQUE idx_se_extendedcontactvalues_skey (sync_key);
ALTER TABLE leads   modify COLUMN first_name varchar(255)  NULL ,  modify COLUMN last_name varchar(255)  NULL ,  add COLUMN ai_conv_score_classification varchar(255)  NULL ,  add COLUMN ai_icp_fit_score_classification varchar(255)  NULL ,  add COLUMN market_interest_prediction_score varchar(255)  DEFAULT '' NULL ,  add COLUMN market_score int  NULL ,  add COLUMN hint_account_size varchar(20)  NULL ,  add COLUMN hint_account_industry varchar(120)  NULL ,  add COLUMN hint_account_location varchar(255)  NULL ,  add COLUMN hint_account_description varchar(255)  NULL ,  add COLUMN hint_job_2 varchar(255)  NULL ,  add COLUMN hint_education varchar(225)  NULL ,  add COLUMN hint_education_2 varchar(225)  NULL ,  add COLUMN hint_facebook varchar(120)  NULL ,  add COLUMN hint_twitter varchar(120)  NULL ,  add COLUMN hint_industry_tags varchar(225)  NULL ,  add COLUMN hint_account_founded_year varchar(5)  NULL ,  add COLUMN hint_account_facebook_handle varchar(120)  NULL ,  add COLUMN hint_account_twitter_handle varchar(120)  NULL ,  add COLUMN hint_account_logo varchar(255)  NULL ,  add COLUMN hint_contact_pic text  NULL ,  add COLUMN hint_photo varchar(255)  NULL ,  add COLUMN hint_phone_1 varchar(15)  NULL ,  add COLUMN hint_phone_2 varchar(15)  NULL ,  add COLUMN hint_account_naics_code_lbl varchar(170)  NULL ,  add COLUMN hint_account_sic_code_label varchar(120)  NULL ,  add COLUMN hint_account_fiscal_year_end varchar(5)  NULL ,  add COLUMN hint_account_annual_revenue varchar(25)  NULL ,  add COLUMN hint_account_website varchar(255)  NULL
ALTER TABLE leads ADD INDEX idx_leads_del_businesscenter (deleted,business_center_id);
ALTER TABLE cases   add COLUMN is_escalated bool  DEFAULT 0 NULL
ALTER TABLE cases ADD INDEX idx_cases_del_businesscenter (deleted,business_center_id);
ALTER TABLE bugs   add COLUMN is_escalated bool  DEFAULT 0 NULL
ALTER TABLE prospect_lists   modify COLUMN name varchar(255)  NULL
ALTER TABLE prospects   modify COLUMN first_name varchar(255)  NULL ,  modify COLUMN last_name varchar(255)  NULL
ALTER TABLE job_queue DROP INDEX idx_target_jobgroup
ALTER TABLE job_queue ADD INDEX idx_target_jobgroup (target,job_group,resolution);
ALTER TABLE job_queue ADD INDEX idx_status_sched_id (status,scheduler_id);
ALTER TABLE job_queue ADD INDEX idx_del_time_status (deleted,execute_time,status);
ALTER TABLE contacts   modify COLUMN first_name varchar(255)  NULL ,  modify COLUMN last_name varchar(255)  NULL ,  add COLUMN hint_account_size varchar(20)  NULL ,  add COLUMN hint_account_industry varchar(120)  NULL ,  add COLUMN hint_account_location varchar(255)  NULL ,  add COLUMN hint_account_description varchar(255)  NULL ,  add COLUMN hint_job_2 varchar(255)  NULL ,  add COLUMN hint_education varchar(225)  NULL ,  add COLUMN hint_education_2 varchar(225)  NULL ,  add COLUMN hint_facebook varchar(120)  NULL ,  add COLUMN hint_twitter varchar(120)  NULL ,  add COLUMN hint_industry_tags varchar(225)  NULL ,  add COLUMN hint_account_founded_year varchar(5)  NULL ,  add COLUMN hint_account_facebook_handle varchar(120)  NULL ,  add COLUMN hint_account_twitter_handle varchar(120)  NULL ,  add COLUMN hint_account_logo varchar(255)  NULL ,  add COLUMN hint_contact_pic text  NULL ,  add COLUMN hint_photo varchar(255)  NULL ,  add COLUMN hint_phone_1 varchar(15)  NULL ,  add COLUMN hint_phone_2 varchar(15)  NULL ,  add COLUMN hint_account_website varchar(255)  NULL ,  add COLUMN hint_account_naics_code_lbl varchar(170)  NULL ,  add COLUMN hint_account_sic_code_label varchar(120)  NULL ,  add COLUMN hint_account_fiscal_year_end varchar(5)  NULL ,  add COLUMN hint_account_annual_revenue varchar(25)  NULL ,  add COLUMN market_interest_prediction_score varchar(255)  DEFAULT '' NULL ,  add COLUMN market_score int  NULL
ALTER TABLE contacts ADD INDEX idx_contacts_del_businesscenter (deleted,business_center_id);
ALTER TABLE accounts   modify COLUMN name varchar(255)  NULL ,  add COLUMN hint_account_size varchar(20)  NULL ,  add COLUMN hint_account_industry varchar(120)  NULL ,  add COLUMN hint_account_location varchar(120)  NULL ,  add COLUMN hint_account_industry_tags varchar(225)  NULL ,  add COLUMN hint_account_founded_year varchar(5)  NULL ,  add COLUMN hint_account_facebook_handle varchar(120)  NULL ,  add COLUMN hint_account_logo varchar(255)  NULL ,  add COLUMN hint_account_pic text  NULL ,  add COLUMN hint_account_naics_code_lbl varchar(170)  NULL ,  add COLUMN hint_account_fiscal_year_end varchar(5)  NULL ,  add COLUMN is_escalated bool  DEFAULT 0 NULL
ALTER TABLE accounts ADD INDEX idx_accounts_del_businesscenter (deleted,business_center_id);
ALTER TABLE opportunities   add COLUMN forecasted_likely decimal(26,6)  NULL ,  add COLUMN closed_won_revenue_line_items int  NULL ,  add COLUMN ai_opp_conv_score_enum varchar(255)  NULL ,  add COLUMN is_escalated bool  DEFAULT 0 NULL
ALTER TABLE calls   modify COLUMN name varchar(255)  NULL ,  add COLUMN internal_notes text  NULL ,  add COLUMN aws_lens_data text  NULL ,  add COLUMN sentiment_score_agent decimal(10,2)  NULL ,  add COLUMN sentiment_score_agent_string varchar(255)  NULL ,  add COLUMN sentiment_score_customer decimal(10,2)  NULL ,  add COLUMN sentiment_score_customer_string varchar(255)  NULL ,  add COLUMN sentiment_score_agent_first_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_agent_second_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_agent_third_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_agent_fourth_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_customer_first_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_customer_second_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_customer_third_quarter decimal(10,2)  NULL ,  add COLUMN sentiment_score_customer_fourth_quarter decimal(10,2)  NULL
ALTER TABLE meetings   modify COLUMN name varchar(255)  NULL ,  add COLUMN internal_notes text  NULL
ALTER TABLE tasks   modify COLUMN name varchar(255)  NULL
ALTER TABLE users ADD INDEX idx_users_del_businesscenter (deleted,business_center_id);
ALTER TABLE upgrade_history   add COLUMN process_status text  NULL
ALTER TABLE product_templates   add COLUMN active_status varchar(100)  DEFAULT 'Active' NULL
ALTER TABLE product_templates DROP INDEX idx_producttemplate_category
ALTER TABLE product_templates ADD INDEX idx_producttemplate_category (category_id,active_status,deleted);
ALTER TABLE product_templates ADD INDEX idx_id_name (id,name);
ALTER TABLE product_categories ADD INDEX idx_id_name_list_order (id,name,list_order);
ALTER TABLE revenue_line_items   add COLUMN forecasted_likely decimal(26,6)  NULL
ALTER TABLE revenue_line_items ADD INDEX idx_del_addontoid (deleted,add_on_to_id);
ALTER TABLE pmse_bpm_flow   modify COLUMN cas_id int  NULL ,  modify COLUMN cas_index int  NULL
ALTER TABLE pmse_bpm_thread   modify COLUMN cas_id int  DEFAULT 0 NULL
ALTER TABLE pmse_bpm_notes   modify COLUMN cas_index int  NULL
ALTER TABLE pmse_bpm_form_action   modify COLUMN cas_id int  NULL
ALTER TABLE messages   add COLUMN aws_comprehend_data text  NULL ,  add COLUMN sentiment varchar(36)  NULL
ALTER TABLE mobile_devices ADD INDEX idx_assigned_device_id (assigned_user_id,device_id,device_platform,deleted);
ALTER TABLE purchases   add COLUMN currency_id char(36)  DEFAULT '-99' NULL ,  add COLUMN base_rate decimal(26,6)  NULL
ALTER TABLE styleguide   modify COLUMN first_name varchar(255)  NULL ,  modify COLUMN last_name varchar(255)  NULL
ALTER TABLE outbound_email   add COLUMN preferred_sending_account bool  DEFAULT 0 NULL
ALTER TABLE report_schedules   add COLUMN file_type varchar(32)  DEFAULT 'PDF' NULL
ALTER TABLE report_schedules ADD INDEX idx_del_active (deleted,active);
ALTER TABLE filters   add COLUMN app varchar(36)  DEFAULT 'base' NULL
ALTER TABLE console_configuration   add COLUMN freeze_first_column bool  DEFAULT 1 NULL
ALTER TABLE se_members   modify COLUMN first_name varchar(255)  NULL ,  modify COLUMN last_name varchar(255)  NULL
ALTER TABLE prospect_lists_prospects DROP INDEX idx_plp_pro_id
ALTER TABLE prospect_lists_prospects ADD INDEX idx_plp_pro_id (prospect_list_id,deleted);
ALTER TABLE purchased_line_items ADD INDEX idx_purchaseid_del (purchase_id,deleted);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_purchaseid_del (deleted,purchase_id,id);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_dclose_del (deleted,date_closed,id);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_dent_name_del (deleted,date_entered,name,id);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_dclose_name_del (deleted,date_closed,name,id);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_catid_del (deleted,category_id,id);
ALTER TABLE purchased_line_items ADD INDEX idx_pli_manid_del (deleted,manufacturer_id,id);
ALTER TABLE hint_accountsets   add COLUMN team_id char(36)  NULL ,  add COLUMN team_set_id char(36)  NULL ,  add COLUMN acl_team_set_id char(36)  NULL
ALTER TABLE hint_accountsets ADD INDEX idx_hint_accountsets_tmst_id (team_set_id,deleted);
ALTER TABLE hint_accountsets ADD INDEX idx_hint_accountsets_acl_tmst_id (acl_team_set_id,deleted);
