CREATE TABLE shifts (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,timezone varchar(255)  NULL ,date_start date  NULL ,date_end date  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL ,is_open_sunday bool  DEFAULT 0 NULL ,sunday_open_hour varchar(2)  NULL ,sunday_open_minutes varchar(2)  NULL ,sunday_close_hour varchar(2)  NULL ,sunday_close_minutes varchar(2)  NULL ,is_open_monday bool  DEFAULT 1 NULL ,monday_open_hour varchar(2)  NULL ,monday_open_minutes varchar(2)  NULL ,monday_close_hour varchar(2)  NULL ,monday_close_minutes varchar(2)  NULL ,is_open_tuesday bool  DEFAULT 1 NULL ,tuesday_open_hour varchar(2)  NULL ,tuesday_open_minutes varchar(2)  NULL ,tuesday_close_hour varchar(2)  NULL ,tuesday_close_minutes varchar(2)  NULL ,is_open_wednesday bool  DEFAULT 1 NULL ,wednesday_open_hour varchar(2)  NULL ,wednesday_open_minutes varchar(2)  NULL ,wednesday_close_hour varchar(2)  NULL ,wednesday_close_minutes varchar(2)  NULL ,is_open_thursday bool  DEFAULT 1 NULL ,thursday_open_hour varchar(2)  NULL ,thursday_open_minutes varchar(2)  NULL ,thursday_close_hour varchar(2)  NULL ,thursday_close_minutes varchar(2)  NULL ,is_open_friday bool  DEFAULT 1 NULL ,friday_open_hour varchar(2)  NULL ,friday_open_minutes varchar(2)  NULL ,friday_close_hour varchar(2)  NULL ,friday_close_minutes varchar(2)  NULL ,is_open_saturday bool  DEFAULT 0 NULL ,saturday_open_hour varchar(2)  NULL ,saturday_open_minutes varchar(2)  NULL ,saturday_close_hour varchar(2)  NULL ,saturday_close_minutes varchar(2)  NULL  , PRIMARY KEY (id),   KEY idx_shifts_del_d_m (deleted, date_modified, id),   KEY idx_shifts_id_del (id, deleted),   KEY idx_shifts_del_d_e (deleted, date_entered, id),   KEY idx_shifts_name_del (name, deleted),   UNIQUE idx_shifts_skey (sync_key),   KEY idx_shifts_assigned_del (assigned_user_id, deleted),   KEY idx_shifts_tmst_id (team_set_id, deleted),   KEY idx_shifts_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE shift_exceptions (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,timezone varchar(255)  NULL ,shift_exception_type varchar(50)  NULL ,all_day bool  DEFAULT 1 NULL ,start_date date  NULL ,start_hour varchar(2)  NULL ,start_minutes varchar(2)  NULL ,end_date date  NULL ,end_hour varchar(2)  NULL ,end_minutes varchar(2)  NULL ,enabled bool  DEFAULT 0 NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_shift_exceptions_del_d_m (deleted, date_modified, id),   KEY idx_shift_exceptions_id_del (id, deleted),   KEY idx_shift_exceptions_del_d_e (deleted, date_entered, id),   KEY idx_shift_exceptions_name_del (name, deleted),   UNIQUE idx_shift_exceptions_skey (sync_key),   KEY idx_shift_exceptions_assigned_del (assigned_user_id, deleted),   KEY idx_shift_exceptions_tmst_id (team_set_id, deleted),   KEY idx_shift_exceptions_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE messages (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,date_start datetime  NULL ,date_end datetime  NULL ,parent_type varchar(255)  NULL ,parent_id char(36)  NULL ,contact_id char(36)  NULL ,status varchar(50)  NULL ,direction varchar(50)  NULL ,channel_type varchar(50)  NULL ,conversation_link varchar(512)  NULL ,conversation longtext  NULL ,aws_contact_id char(36)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_messages_del_d_m (deleted, date_modified, id),   KEY idx_messages_id_del (id, deleted),   KEY idx_messages_del_d_e (deleted, date_entered, id),   KEY idx_messages_name_del (name, deleted),   KEY idx_parent_message (parent_id, parent_type),   KEY idx_aws_messages_contact_id (aws_contact_id, deleted),   UNIQUE idx_messages_skey (sync_key),   KEY idx_messages_assigned_del (assigned_user_id, deleted),   KEY idx_messages_tmst_id (team_set_id, deleted),   KEY idx_messages_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE mobile_devices (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,device_id varchar(256)  NULL ,platform varchar(32)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_mobile_devices_del_d_m (deleted, date_modified, id),   KEY idx_mobile_devices_id_del (id, deleted),   KEY idx_mobile_devices_del_d_e (deleted, date_entered, id),   KEY idx_mobile_devices_name_del (name, deleted),   KEY idx_assigned_device_id (assigned_user_id, device_id, platform, deleted),   UNIQUE idx_mobile_devices_skey (sync_key),   KEY idx_mobile_devices_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE purchases (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,start_date date  NULL ,end_date date  NULL ,service bool  DEFAULT 0 NULL ,total_revenue decimal(26,6)  NULL ,total_quantity decimal(18,2)  NULL ,pli_count int  NULL ,renewable bool  DEFAULT 0 NULL ,product_template_id char(36)  NULL ,account_id char(36)  NULL ,type_id char(36)  NULL ,category_id char(36)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_purchases_del_d_m (deleted, date_modified, id),   KEY idx_purchases_id_del (id, deleted),   KEY idx_purchases_del_d_e (deleted, date_entered, id),   KEY idx_purchases_name_del (name, deleted),   UNIQUE idx_purchases_skey (sync_key),   KEY idx_purchases_assigned_del (assigned_user_id, deleted),   KEY idx_purchases_tmst_id (team_set_id, deleted),   KEY idx_purchases_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE purchased_line_items (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,annual_revenue decimal(26,6)  NULL ,book_value_usdollar decimal(26,6)  NULL ,cost_price decimal(26,6)  NULL ,cost_usdollar decimal(26,6)  NULL ,date_closed date  NULL ,date_closed_timestamp bigint unsigned  NULL ,deal_calc decimal(26,6)  NULL ,deal_calc_usdollar decimal(26,6)  NULL ,discount_amount decimal(26,6)  DEFAULT 0 NULL ,discount_amount_signed decimal(26,6)  DEFAULT 0 NULL ,discount_amount_usdollar decimal(26,6)  NULL ,discount_price decimal(26,6)  NULL ,discount_select bool  DEFAULT 0 NULL ,discount_usdollar decimal(26,6)  NULL ,list_usdollar decimal(26,6)  NULL ,mft_part_num varchar(50)  NULL ,revenue decimal(26,6)  NULL ,revenue_usdollar decimal(26,6)  NULL ,total_amount decimal(26,6)  NULL ,subtotal decimal(26,6)  NULL ,category_id char(36)  NULL ,manufacturer_id char(36)  NULL ,product_template_id char(36)  NULL ,lock_duration bool  DEFAULT 0 NULL ,product_type_id char(36)  NULL ,purchase_id char(36)  NULL ,revenuelineitem_id char(36)  NULL ,renewal_opp_id char(36)  NULL ,account_id char(36)  NULL ,status varchar(255)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL ,asset_number varchar(50)  NULL ,book_value decimal(26,6)  NULL ,book_value_date date  NULL ,date_purchased date  NULL ,date_support_expires date  NULL ,date_support_starts date  NULL ,list_price decimal(26,6)  NULL ,pricing_factor int(4)  NULL ,pricing_formula varchar(100)  NULL ,quantity decimal(12,2)  DEFAULT 1 NULL ,serial_number varchar(50)  NULL ,renewable bool  DEFAULT 0 NULL ,service bool  DEFAULT 0 NULL ,service_duration_value int(5)  NULL ,service_duration_unit varchar(50)  NULL ,catalog_service_duration_value int(5)  NULL ,catalog_service_duration_unit varchar(50)  NULL ,service_duration_multiplier decimal  NULL ,service_end_date date  NULL ,service_start_date date  NULL ,support_contact varchar(50)  NULL ,support_description varchar(255)  NULL ,support_name varchar(50)  NULL ,support_term varchar(100)  NULL ,tax_class varchar(100)  DEFAULT 'Taxable' NULL ,vendor_part_num varchar(50)  NULL ,website varchar(255)  NULL ,weight decimal(12,2)  NULL ,renewal bool  DEFAULT 0 NULL ,currency_id char(36)  DEFAULT '-99' NULL ,base_rate decimal(26,6)  NULL  , PRIMARY KEY (id),   KEY idx_purchased_line_items_del_d_m (deleted, date_modified, id),   KEY idx_purchased_line_items_id_del (id, deleted),   KEY idx_purchased_line_items_del_d_e (deleted, date_entered, id),   KEY idx_purchased_line_items_name_del (name, deleted),   UNIQUE idx_purchased_line_items_skey (sync_key),   KEY idx_purchased_line_items_assigned_del (assigned_user_id, deleted),   KEY idx_purchased_line_items_tmst_id (team_set_id, deleted),   KEY idx_purchased_line_items_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE push_notifications (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,is_sent bool  DEFAULT 0 NULL ,notification_type varchar(255)  NULL ,parent_type varchar(100)  NULL ,parent_id char(36)  NULL ,extra_data text  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_push_notifications_del_d_m (deleted, date_modified, id),   KEY idx_push_notifications_id_del (id, deleted),   KEY idx_push_notifications_del_d_e (deleted, date_entered, id),   KEY idx_push_notifications_name_del (name, deleted),   UNIQUE idx_push_notifications_skey (sync_key),   KEY idx_push_notifications_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci
CREATE TABLE sugar_live (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,enabled_modules varchar(255)  NULL ,sync_key varchar(100)  NULL  , PRIMARY KEY (id),   KEY idx_sugar_live_del_d_m (deleted, date_modified, id),   KEY idx_sugar_live_id_del (id, deleted),   KEY idx_sugar_live_del_d_e (deleted, date_entered, id),   KEY idx_sugar_live_name_del (name, deleted),   UNIQUE idx_sugar_live_skey (sync_key)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE data_archivers (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,filter_module_name varchar(255)  NULL ,filter_def text  NULL ,process_type varchar(255)  NULL ,active bool  DEFAULT 1 NULL ,sync_key varchar(100)  NULL  , PRIMARY KEY (id),   KEY idx_data_archivers_del_d_m (deleted, date_modified, id),   KEY idx_data_archivers_id_del (id, deleted),   KEY idx_data_archivers_del_d_e (deleted, date_entered, id),   KEY idx_data_archivers_name_del (name, deleted),   UNIQUE idx_data_archivers_skey (sync_key)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE archive_runs (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,archiver_id char(36)  NULL ,date_of_archive datetime  NULL ,source_module varchar(255)  NULL ,filter_def text  NULL ,num_processed int  NULL ,process_type varchar(255)  NULL ,ids_processed longtext  NULL ,sync_key varchar(100)  NULL  , PRIMARY KEY (id),   KEY idx_archive_runs_del_d_m (deleted, date_modified, id),   KEY idx_archive_runs_id_del (id, deleted),   KEY idx_archive_runs_del_d_e (deleted, date_entered, id),   KEY idx_archive_runs_name_del (name, deleted),   UNIQUE idx_archive_runs_skey (sync_key)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE shift_exceptions_users (id char(36)  NOT NULL ,shift_exception_id char(36)  NULL ,user_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_shift_exception_id (shift_exception_id),   KEY shift_exceptions_idx_user_id (shift_exception_id, user_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE shifts_users (id char(36)  NOT NULL ,shift_id char(36)  NULL ,user_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_shift_id (shift_id),   KEY shift_idx_user_id (shift_id, user_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE documents_purchases (id char(36)  NOT NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,document_id char(36)  NULL ,purchase_id char(36)  NULL  , PRIMARY KEY (id),   KEY documents_purchases_purchase_id (purchase_id, document_id),   KEY documents_purchases_document_id (document_id, purchase_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE contacts_purchases (id char(36)  NOT NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,contact_id char(36)  NULL ,purchase_id char(36)  NULL  , PRIMARY KEY (id),   KEY contacts_purchases_purchase_id (purchase_id, contact_id),   KEY contacts_purchases_contact_id (contact_id, purchase_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE cases_purchases (id char(36)  NOT NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,case_id char(36)  NULL ,purchase_id char(36)  NULL  , PRIMARY KEY (id),   KEY cases_purchases_purchase_id (purchase_id, case_id),   KEY cases_purchases_case_id (case_id, purchase_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE accounts_purchases (id char(36)  NOT NULL ,account_id char(36)  NULL ,purchase_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_acc_purchase_acc (account_id),   KEY idx_acc_acc_purchase (purchase_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE documents_purchasedlineitems (id char(36)  NOT NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,document_id char(36)  NULL ,purchasedlineitem_id char(36)  NULL  , PRIMARY KEY (id),   KEY documents_purchasedlineitems_purchasedlineitem_id (purchasedlineitem_id, document_id),   KEY documents_purchasedlineitems_document_id (document_id, purchasedlineitem_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE time_aware_schedules (id char(36)  NOT NULL ,next_run datetime  NULL ,type varchar(255)  NULL ,module varchar(255)  NULL ,bean_id char(36)  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE calendar (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,subject varchar(100)  DEFAULT '' NULL ,calendar_module varchar(100)  DEFAULT '' NULL ,event_start varchar(100)  DEFAULT '' NULL ,event_end varchar(100)  DEFAULT '' NULL ,duration_minutes varchar(100)  DEFAULT '' NULL ,duration_hours varchar(100)  DEFAULT '' NULL ,duration_days varchar(100)  DEFAULT '' NULL ,calendar_type text  NULL ,color varchar(255)  NULL ,dblclick_event varchar(100)  DEFAULT '' NULL ,allow_create bool  DEFAULT 0 NULL ,allow_update bool  DEFAULT 0 NULL ,allow_delete bool  DEFAULT 0 NULL ,event_tooltip_template varchar(255)  NULL ,day_event_template varchar(255)  NULL ,week_event_template varchar(255)  NULL ,month_event_template varchar(255)  NULL ,agenda_event_template varchar(255)  NULL ,timeline_event_template varchar(255)  NULL ,schedulermonth_event_template varchar(255)  NULL ,ical_event_template varchar(255)  NULL ,calendar_filter text  NULL ,sync_key varchar(100)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_calendar_del_d_m (deleted, date_modified, id),   KEY idx_calendar_id_del (id, deleted),   KEY idx_calendar_del_d_e (deleted, date_entered, id),   KEY idx_calendar_name_del (name, deleted),   UNIQUE idx_calendar_skey (sync_key),   KEY idx_calendar_tmst_id (team_set_id, deleted),   KEY idx_calendar_acl_tmst_id (acl_team_set_id, deleted),   KEY idx_calendar_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE docusign_envelopes (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,status varchar(100)  NULL ,envelope_id varchar(36)  DEFAULT '' NULL ,document_id char(36)  NULL ,parent_id char(36)  NULL ,parent_type varchar(255)  NULL ,last_audit datetime  NULL ,sync_key varchar(100)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_docusign_envelopes_del_d_m (deleted, date_modified, id),   KEY idx_docusign_envelopes_id_del (id, deleted),   KEY idx_docusign_envelopes_del_d_e (deleted, date_entered, id),   KEY idx_docusign_envelopes_name_del (name, deleted),   KEY idx_envelope_id (envelope_id),   KEY idx_parent_record (parent_id, parent_type),   UNIQUE idx_docusign_envelopes_skey (sync_key),   KEY idx_docusign_envelopes_tmst_id (team_set_id, deleted),   KEY idx_docusign_envelopes_acl_tmst_id (acl_team_set_id, deleted),   KEY idx_docusign_envelopes_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE escalations (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,escalation_number int(11)  NOT NULL auto_increment,status varchar(100)  NULL ,reason varchar(100)  NULL ,source varchar(100)  NULL ,parent_type varchar(255)  NULL ,parent_id char(36)  NULL ,sync_key varchar(100)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_escalations_del_d_m (deleted, date_modified, id),   KEY idx_escalations_id_del (id, deleted),   KEY idx_escalations_del_d_e (deleted, date_entered, id),   KEY idx_escalations_name_del (name, deleted),   UNIQUE escalationnumk (escalation_number),   KEY idx_parent_escalation (parent_id, parent_type),   UNIQUE idx_escalations_skey (sync_key),   KEY idx_escalations_tmst_id (team_set_id, deleted),   KEY idx_escalations_acl_tmst_id (acl_team_set_id, deleted),   KEY idx_escalations_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_enrich_field_config (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,config_data text  NULL ,created datetime  NULL ,synced bool  DEFAULT 0 NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_hint_enrich_field_config_del_d_m (deleted, date_modified, id),   KEY idx_hint_enrich_field_config_id_del (id, deleted),   KEY idx_hint_enrich_field_config_del_d_e (deleted, date_entered, id),   KEY idx_hint_enrich_field_config_name_del (name, deleted),   UNIQUE idx_hint_enrich_field_config_skey (sync_key),   KEY idx_hint_enrich_field_config_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_accountsets (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,type varchar(20)  NULL ,category varchar(128)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NOT NULL  , PRIMARY KEY (id),   KEY idx_hint_accountsets_del_d_m (deleted, date_modified, id),   KEY idx_hint_accountsets_id_del (id, deleted),   KEY idx_hint_accountsets_del_d_e (deleted, date_entered, id),   KEY idx_hint_accountsets_name_del (name, deleted),   UNIQUE idx_hint_accountsets_skey (sync_key),   KEY idx_hint_accountsets_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_news_notifications (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,category varchar(32)  NULL ,title varchar(256)  NULL ,article_date datetime  NULL ,photo_url text  NULL ,source_url text  NULL ,publisher varchar(64)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NOT NULL  , PRIMARY KEY (id),   KEY idx_hint_news_notifications_del_d_m (deleted, date_modified, id),   KEY idx_hint_news_notifications_id_del (id, deleted),   KEY idx_hint_news_notifications_del_d_e (deleted, date_entered, id),   KEY idx_hint_news_notifications_name_del (name, deleted),   UNIQUE idx_hint_news_notifications_skey (sync_key),   KEY idx_hint_news_notifications_assigned_del (assigned_user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_notification_targets (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,type varchar(32)  NULL ,credentials longtext  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NOT NULL  , PRIMARY KEY (id),   KEY idx_hint_notification_targets_del_d_m (deleted, date_modified, id),   KEY idx_hint_notification_targets_id_del (id, deleted),   KEY idx_hint_notification_targets_del_d_e (deleted, date_entered, id),   KEY idx_hint_notification_targets_name_del (name, deleted),   UNIQUE idx_hint_notification_targets_skey (sync_key),   KEY idx_hint_notification_targets_assigned_del (assigned_user_id, deleted),   KEY idx_hint_notification_targets_assigned_type_del (assigned_user_id, type, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE document_templates (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,filename varchar(255)  NULL ,file_ext varchar(100)  NULL ,file_mime_type varchar(100)  NULL ,file_size int  NULL ,template_module varchar(100)  DEFAULT 'Accounts' NULL ,use_revisions bool  DEFAULT 1 NULL ,label_merging bool  DEFAULT 0 NULL ,prefix varchar(120)  NULL ,postfix varchar(120)  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_document_templates_del_d_m (deleted, date_modified, id),   KEY idx_document_templates_id_del (id, deleted),   KEY idx_document_templates_del_d_e (deleted, date_entered, id),   KEY idx_document_templates_name_del (name, deleted),   UNIQUE idx_document_templates_skey (sync_key),   KEY idx_document_templates_assigned_del (assigned_user_id, deleted),   KEY idx_document_templates_tmst_id (team_set_id, deleted),   KEY idx_document_templates_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE document_merges (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,parent_type varchar(255)  NULL ,parent_id char(36)  NULL ,template_id char(36)  NULL ,generated_document_id char(36)  NULL ,status varchar(100)  DEFAULT 'processing' NULL ,merge_type varchar(100)  DEFAULT 'merge' NULL ,file_type varchar(100)  DEFAULT 'DOC' NULL ,message varchar(255)  NULL ,seen bool  DEFAULT 0 NULL ,dismissed bool  DEFAULT 0 NULL ,record_ids text  NULL ,sync_key varchar(100)  NULL ,assigned_user_id char(36)  NULL ,team_id char(36)  NULL ,team_set_id char(36)  NULL ,acl_team_set_id char(36)  NULL  , PRIMARY KEY (id),   KEY idx_document_merges_del_d_m (deleted, date_modified, id),   KEY idx_document_merges_id_del (id, deleted),   KEY idx_document_merges_del_d_e (deleted, date_entered, id),   KEY idx_document_merges_name_del (name, deleted),   UNIQUE idx_document_merges_skey (sync_key),   KEY idx_document_merges_assigned_del (assigned_user_id, deleted),   KEY idx_document_merges_tmst_id (team_set_id, deleted),   KEY idx_document_merges_acl_tmst_id (acl_team_set_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE cloud_drive_paths (id char(36)  NOT NULL ,name varchar(255)  NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,modified_user_id char(36)  NULL ,created_by char(36)  NULL ,description text  NULL ,deleted bool  DEFAULT 0 NULL ,record_id varchar(255)  NULL ,path_module varchar(255)  NULL ,path text  NULL ,type varchar(255)  NULL ,is_root bool  DEFAULT 0 NULL ,is_shared bool  DEFAULT 0 NULL ,folder_id varchar(255)  NULL ,drive_id varchar(255)  NULL ,sync_key varchar(100)  NULL  , PRIMARY KEY (id),   KEY idx_cloud_drive_paths_del_d_m (deleted, date_modified, id),   KEY idx_cloud_drive_paths_id_del (id, deleted),   KEY idx_cloud_drive_paths_del_d_e (deleted, date_entered, id),   KEY idx_cloud_drive_paths_name_del (name, deleted),   UNIQUE idx_cloud_drive_paths_skey (sync_key)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE geocode (id char(36)  NOT NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,parent_id varchar(36)  DEFAULT '' NULL ,parent_type varchar(64)  DEFAULT '' NULL ,parent_name varchar(256)  DEFAULT '' NULL ,parent_user_name varchar(256)  DEFAULT '' NULL ,address text  NULL ,status varchar(100)  DEFAULT '' NULL ,postalcode varchar(64)  DEFAULT '' NULL ,country varchar(64)  DEFAULT '' NULL ,latitude decimal(18,10)  DEFAULT 0 NULL ,longitude decimal(18,10)  DEFAULT 0 NULL ,geocoded bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_geocode_del_d_m (deleted, date_modified, id),   KEY idx_geocode_id_del (id, deleted),   KEY idx_geocode_del_d_e (deleted, date_entered, id),   KEY idx_geocode_geocoded (geocoded, id),   KEY idx_geocode_p_i_id (parent_id, id),   KEY idx_geocode_p_t_id (parent_type, id),   KEY idx_geocode_country (country),   KEY idx_geocode_postal_code (postalcode),   KEY idx_geocode_status (status),   KEY idx_coords_from_zip (postalcode, country, geocoded, status),   KEY idx_coords_from_record (parent_type, parent_id, geocoded, status)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE geocode_job (id char(36)  NOT NULL ,date_entered datetime  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,status varchar(64)  DEFAULT '' NULL ,processed_entity_success_count varchar(64)  DEFAULT '' NULL ,processed_entity_failed_count varchar(64)  DEFAULT '' NULL ,addresses_data longtext  NULL ,geocode_result longtext  NULL  , PRIMARY KEY (id),   KEY idx_geocode_job_del_d_m (deleted, date_modified, id),   KEY idx_geocode_job_id_del (id, deleted),   KEY idx_geocode_job_del_d_e (deleted, date_entered, id),   KEY idx_geocode_job_status (status, id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE calendar_ical_configs (id char(36)  NOT NULL ,date_entered datetime  NULL ,calendar_configurations text  NULL  , PRIMARY KEY (id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE geocode_queue (id char(36)  NOT NULL ,bean_id char(36)  NULL ,geocode_id char(36)  NULL ,bean_module varchar(100)  NULL ,date_modified datetime  NULL ,date_created datetime  NULL  , PRIMARY KEY (id),   KEY idx_geocode_queue_bean_id (bean_id),   KEY idx_beans_bean_id (bean_module, bean_id),   KEY idx_geocode_id (geocode_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE messages_contacts (id char(36)  NOT NULL ,message_id char(36)  NULL ,contact_id char(36)  NULL ,required varchar(1)  DEFAULT '1' NULL ,accept_status varchar(25)  DEFAULT 'none' NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_contact_message_contact (contact_id),   KEY idx_message_contact (message_id, contact_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE messages_leads (id char(36)  NOT NULL ,message_id char(36)  NULL ,lead_id char(36)  NULL ,required varchar(1)  DEFAULT '1' NULL ,accept_status varchar(25)  DEFAULT 'none' NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_lead_message_lead (lead_id),   KEY idx_message_lead (message_id, lead_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE messages_users (id char(36)  NOT NULL ,message_id char(36)  NULL ,user_id char(36)  NULL ,required varchar(1)  DEFAULT '1' NULL ,accept_status varchar(25)  DEFAULT 'none' NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_user_message_user (user_id),   KEY idx_message_user_del (message_id, user_id, deleted)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE accounts_escalations (id char(36)  NOT NULL ,account_id char(36)  NULL ,escalation_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE contacts_escalations (id char(36)  NOT NULL ,contact_id char(36)  NULL ,escalation_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY idx_con_escalation_escalation (escalation_id),   KEY idx_contacts_escalations (contact_id, escalation_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE documents_escalations (id char(36)  NOT NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL ,document_id char(36)  NULL ,escalation_id char(36)  NULL  , PRIMARY KEY (id),   KEY documents_escalations_escalation_id (escalation_id, document_id),   KEY documents_escalations_document_id (document_id, escalation_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_accountsets_targets (id char(36)  NOT NULL ,accountset_id char(36)  NULL ,target_id char(36)  NULL ,date_modified datetime  NULL ,deleted bool  DEFAULT 0 NULL  , PRIMARY KEY (id),   KEY accountsets_targets_acc_idk (accountset_id),   KEY accountsets_targets_trg_idk (target_id)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE hint_events_queue (id char(36)  NOT NULL ,type varchar(32)  NULL ,data longtext  NULL ,user_id char(36)  NULL ,processing_instance varchar(32)  NULL ,processing_start_time datetime  NULL ,group_ms decimal(26,4)  DEFAULT 0 NULL ,event_number int  NOT NULL auto_increment,created datetime  NULL  , PRIMARY KEY (id),   UNIQUE event_number_uk (event_number),   KEY hint_events_queue_instance_ordered_idk (processing_instance, group_ms, event_number),   KEY hint_events_queue_start_time_idk (processing_start_time)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE users_last_states (id char(36)  NOT NULL ,user_id char(36)  NULL ,last_state longtext  NULL ,platform varchar(255)  NULL ,deleted bool  DEFAULT 0 NULL  ) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
CREATE TABLE system_process_lock (unique_id varchar(255)  DEFAULT '' NOT NULL ,additional_key varchar(255)  DEFAULT '' NOT NULL ,date_expires datetime  NULL  , PRIMARY KEY (unique_id, additional_key)) CHARACTER SET utf8mb4 COLLATE 'utf8mb4_general_ci'
